Package Details: toxygen-git 0.4.1.0.640-1

Git Clone URL: https://aur.archlinux.org/toxygen-git.git (read-only)
Package Base: toxygen-git
Description: Toxygen is cross-platform Tox client written in Python3
Upstream URL: https://github.com/toxygen-project/toxygen
Keywords: Python Tox
Licenses: GPL-3.0
Conflicts: toxygen
Provides: toxygen
Submitter: quininer
Maintainer: shooz
Last Packager: shooz
Votes: 4
Popularity: 0.000002
First Submitted: 2016-07-05 02:34
Last Updated: 2018-01-27 22:58

Latest Comments

shooz commented on 2019-06-15 09:14

Hi, @chilledfrogs, yes, I get the same error while launching now as well, but the building error looks weird, I think it was fixed after my issue: https://github.com/toxygen-project/toxygen/issues/49 .

In any case, I am not sure how to fix the libtoxencryptsave.so error, it seems that this file is not in official repos, and I can't ask the author of the program because it seems that he abandon the project.

chilledfrogs commented on 2019-06-13 12:48

Hello there,

When building the package, I get this as the very last log message:

running install_egg_info
Copying Toxygen.egg-info to /home/allen/.cache/yay/toxygen-git/pkg/toxygen-git/usr/lib/python3.7/site-packages/Toxygen-0.4.2.0-py3.7.egg-info
running install_scripts
Installing toxygen script to /home/allen/.cache/yay/toxygen-git/pkg/toxygen-git/usr/bin
Traceback (most recent call last):
  File "/home/allen/.cache/yay/toxygen-git/pkg/toxygen-git/usr/bin/toxygen", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3241, in <module>
    @_call_aside
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3225, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3254, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'Toxygen==0.4.2.0' distribution was not found and is required by the application

Then, on launch, I get this:


(python:29118): Gtk-WARNING **: 14:45:38.807: Unable to locate theme engine in module_path: "adwaita",

(python:29118): Gtk-WARNING **: 14:45:38.807: Unable to locate theme engine in module_path: "adwaita",
qt5ct: using qt5ct plugin
Traceback (most recent call last):
  File "/usr/lib/python3.7/site-packages/toxygen/libtox.py", line 54, in __init__
    self._lib_tox_encrypt_save = CDLL('libtoxencryptsave.so')
  File "/usr/lib/python3.7/ctypes/__init__.py", line 356, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: libtoxencryptsave.so: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/bin/toxygen", line 11, in <module>
    load_entry_point('Toxygen==0.4.2.0', 'console_scripts', 'toxygen')()
  File "/usr/lib/python3.7/site-packages/toxygen/main.py", line 483, in main
    toxygen.main()
  File "/usr/lib/python3.7/site-packages/toxygen/main.py", line 61, in main
    encrypt_save = toxes.ToxES()
  File "/usr/lib/python3.7/site-packages/toxygen/toxes.py", line 9, in __init__
    self._toxencryptsave = toxencryptsave.ToxEncryptSave()
  File "/usr/lib/python3.7/site-packages/toxygen/toxencryptsave.py", line 9, in __init__
    self.libtoxencryptsave = libtox.LibToxEncryptSave()
  File "/usr/lib/python3.7/site-packages/toxygen/libtox.py", line 56, in __init__
    self._lib_tox_encrypt_save = CDLL(util.curr_directory() + '/libs/libtoxencryptsave.so')
  File "/usr/lib/python3.7/ctypes/__init__.py", line 356, in __init__
    self._handle = _dlopen(self._name, mode)
OSError: /usr/lib/python3.7/site-packages/toxygen/libs/libtoxencryptsave.so: cannot open shared object file: No such file or directory

Is this a missing dependency, or a package issue, or should I bring this up upstream?

t-ask commented on 2018-08-16 13:25

Hi, can you please migrate the dep 'toxcore' back to vanilla version not the new 'toktok' one, as toxygen is not supporting toktok so far.

nicepack commented on 2017-02-18 00:20

python-pyaudio doesnt exist